Non puoi selezionare più di 25 argomenti Gli argomenti devono iniziare con una lettera o un numero, possono includere trattini ('-') e possono essere lunghi fino a 35 caratteri.
 
 
 
Sasha Aliashkevich 71d96dc1a5 v1.1.0 2 mesi fa
.github/workflows migrating builds to electron-builder 2 mesi fa
css Show more info in case of error 8 mesi fa
examples example change 4 anni fa
fonts pgtabs is going public 5 anni fa
scripts fix windows build 8 mesi fa
src migrating builds to electron-builder 2 mesi fa
.eslintrc.yml fix eslint; fix build/App not found 1 anno fa
.gitignore migrating builds to electron-builder 2 mesi fa
.npmrc migrating builds to electron-builder 2 mesi fa
Info.plist Postgres protocol 3 anni fa
LICENSE prepare for open source 4 anni fa
README.md readme update 2 mesi fa
index.html eslint checks added; refactored to comply with eslint 1 anno fa
libpq_build.sh libpq_build; linux catchup 5 anni fa
linux_build.sh 0.16.0 3 anni fa
logo.icns logo icon 5 anni fa
logo.ico adding ico file for windows 3 anni fa
logo.png logo icon 5 anni fa
logo_sql.icns SQL Document Support for OSX 3 anni fa
mac_build.sh fix mac build scripts 8 mesi fa
main.js migrating builds to electron-builder 2 mesi fa
minify.sh upgrade ulify; change mac build script; tabsplit 1 anno fa
package-lock.json migrating builds to electron-builder 2 mesi fa
package.json v1.1.0 2 mesi fa
sqltabs.png rename to sqltabs 5 anni fa
win_build.sh fix windows build 8 mesi fa

README.md

SQL Tabs

Rich SQL client. Home www.sqltabs.com

Supported databases:

- Postgresql
- MySQL / MariaDB
- MS SQL
- Amazon Redshift
- AlaSQL

Supported Platforms:

- Mac
- Windows
- Linux

Building

In order to run SQL Tabs from source code follow the next steps: (In case of any issues please report them here)

node.js not higher than v10 is required

  1. Install npm - a javascript package manager

  2. Get the code, install dependencies and build the application:

     git clone https://github.com/sasha-alias/sqltabs
     cd sqltabs
     npm install
    
  3. Run the application:

     npm start
    

Contribution and issues reports are very appreciated.

Platform specific things

You might want to rebuild grpc for firebase driver to work:

    npm rebuild grpc --runtime=electron --target=4.1.0 --target_archx64